GSCSIO(4)

NAME
gscsio - National Semiconductor Geode SC1100 I2C controller

SYNOPSIS
gscsio* at isa?
iic* at gscsio?

DESCRIPTION
The gscsio driver provides support for the National Semiconductor Geode SC1100 System-on-Chip Super I/O module. The Super I/O (SIO) module incorporates one serial port, an infrared communication port, two ACCESS.bus interface (ACB) ports, system wakeup control (SWC), and a real-time clock (RTC). Only the ACCESS.bus interface is currently supported.

ACB is a two-wire synchronous serial interface compatible with the Philips' I2C bus, and can be accessed through the iic(4) framework. The gscsio driver programs the ACB port to work with a standard I2C frequency 100kHz.

SEE ALSO
iic(4), intro(4), isa(4)

HISTORY
The gscsio driver first appeared in OpenBSD 3.6.

AUTHORS
The gscsio driver was written by Alexander Yurchenko <grange@openbsd.org>.